Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226154 - python-autopep8: FTBFS in Fedora rawhide/f39
Summary: python-autopep8: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-autopep8
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christiano Anderson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS 2220316
TreeView+ depends on / blocked
 
Reported: 2023-07-25 19:10 UTC by Fedora Release Engineering
Modified: 2023-12-15 16:07 UTC (History)
3 users (show)

Fixed In Version: python-autopep8-2.0.4-3.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-07 15:28:35 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 19:10 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 19:10 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 19:10 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Fedora Package Sources python-autopep8 pull-request 3 0 None None None 2023-09-02 21:29:15 UTC

Description Fedora Release Engineering 2023-07-25 19:10:01 UTC
python-autopep8 failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103675976


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix python-autopep8 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-autopep8 will be orphaned. Before branching of Fedora 40,
python-autopep8 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 19:10:06 UTC
Created attachment 1978864 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 19:10:10 UTC
Created attachment 1978865 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 19:10:13 UTC
Created attachment 1978866 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 08:00:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Ondřej Budai 2023-08-28 17:07:20 UTC
Hi, @aekoroglu.com ! Do you have any plans for fixing this package? It still fails to build under F39/40.

Thanks,
Ondřej

Comment 6 Sandro 2023-09-02 21:29:16 UTC
I submitted a PR updating autopep8 to 2.0.4 and fixing this bug.

Comment 7 Fedora Admin user for bugzilla script actions 2023-09-05 00:48:40 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 8 Fedora Update System 2023-09-07 15:25:58 UTC
FEDORA-2023-746416a7fa has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-746416a7fa

Comment 9 Fedora Update System 2023-09-07 15:28:35 UTC
FEDORA-2023-746416a7fa has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.